@echo off
@echo USB IEEE1394 Plugin ver 2.3
@echo Extracting USB and IEEE1394 user Registry ...
@echo All required entries will be placed into file "usb&ieee1394.reg"
@echo Use this file in the USB IEEE1394 plugin.
@echo ...extracting...
@echo.

if exist t1.txt del t1.txt
if exist tt.txt del tt.txt
regedit -e "tt.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\1394"
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\SBP2"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\SCSI"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\STORAGE"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\USB"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\USBSTOR"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\V1394"
copy /A tt.txt+t1.txt > nul
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\PCI\VEN_10DE&DEV_0067&SUBSYS_1C06147B&REV_A4\3&13c0b0c5&0&10"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\PCI\VEN_10DE&DEV_0067&SUBSYS_1C06147B&REV_A4\3&13c0b0c5&0&11"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\PCI\VEN_10DE&DEV_0068&SUBSYS_1C06147B&REV_A4\3&13c0b0c5&0&12"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\PCI\VEN_10DE&DEV_006E&SUBSYS_1C06147B&REV_A3\3&13c0b0c5&0&68"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\dmio"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\ftdisk"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_ARP1394"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_DMADMIN"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_DMBOOT"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_DMLOAD"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_DMSERVER"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_FASTFAT"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_FILEDISK"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_MOUNTMGR"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_NTMSSVC"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_PARTMGR"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_RPCSS"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_SSDPSRV"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\LEGACY_VOLSNAP"
copy /A tt.txt+t1.txt > nul 
regedit -e "t1.txt" "HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Enum\Root\SYSTEM\0000"
copy /A tt.txt+t1.txt > nul 
copy tt.txt "usb&ieee1394user.reg" > nul
if exist t1.txt del t1.txt
if exist tt.txt del tt.txt
@echo Finished extracting registry entries...
pause